Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP APIs

SAP Applications API

search

SAP Applications API

Use the get /v1/cckm/sap/applications API to view the list of SAP applications linked with the SAP groups added to the CipherTrust Manager.

When a SAP group is added to the CipherTrust Manager, linked SAP applications are automatically added. One application can have multiple SAP groups associated with it.

When the last group linked with a SAP application is deleted from the CipherTrust Manager, the application is also deleted.

Use query parameters to filter search results.

Syntax

curl -k '<IP>/api/v1/cckm/sap/applications?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.

Request Query Parameters

Parameter Type Description
id string Resource ID of the SAP application.
connection string string
application_name string Name of the SAP application.
tenant string Name of the SAP tenant.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in skip parameter) will be displayed in the output.

Example Request

curl -k '<IP>/api/v1/cckm/sap/applications?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxNmI1ZWQ0OC0yM2RiLTRjY2QtODEyZC00NTE3NzY0ZTkyZjQiLCJzdWIiOiJsb2NhbHw0YjFlYWQ4ZC00M2E0LTQzZmUtOGQzYy0xNGJmNDMwZDFhYzkiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiODQ3NzRhMmYtYWNkMS00NWU1LTg1OWYtZGUzOGQ4ODYzZjg5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjNkNGQzY2NlLTQ0MTctNDZjMS1iMmZhLTkzMDk4ZjkwMjAwNCIsImlhdCI6MTYzNzczMzEyNSwiZXhwIjoxNjM3NzMzNDI1fQ.RE3QK_ereXZdtlrEefL2k8lsS7s3cy7qAIDdSQApJcs' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 4,
    "resources": [
        {
            "id": "28cca64a-b1ce-4c0b-9130-2343bdd842f9",
            "uri": "kylo:kylo:cckm:sap-application:28cca64a-b1ce-4c0b-9130-2343bdd842f9",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2021-11-24T03:34:35.420387Z",
            "updatedAt": "2021-11-24T03:34:35.419054Z",
            "sap_application": "GENERAL",
            "connection": "UI_SAP_CONNECTION",
            "tenant": "thales-preprod"
        },
        {
            "id": "dfd0c83c-f469-4ab9-8ff8-2f8ea99da1e8",
            "uri": "kylo:kylo:cckm:sap-application:dfd0c83c-f469-4ab9-8ff8-2f8ea99da1e8",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2021-11-24T03:32:38.225511Z",
            "updatedAt": "2021-11-24T03:32:38.223869Z",
            "sap_application": "SFSF",
            "connection": "UI_SAP_CONNECTION",
            "tenant": "thales-preprod"
        },
        {
            "id": "18bf9967-3d21-48b2-a452-fe1cdd0bf27f",
            "uri": "kylo:kylo:cckm:sap-application:18bf9967-3d21-48b2-a452-fe1cdd0bf27f",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2021-11-23T10:17:45.735966Z",
            "updatedAt": "2021-11-23T10:17:45.73208Z",
            "sap_application": "S4H",
            "connection": "UI_SAP_CONNECTION",
            "tenant": "thales-preprod"
        },
        {
            "id": "451ad3d5-729b-42bb-9f44-56c40161955a",
            "uri": "kylo:kylo:cckm:sap-application:451ad3d5-729b-42bb-9f44-56c40161955a",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2021-11-23T10:17:45.38848Z",
            "updatedAt": "2021-11-23T10:17:45.384538Z",
            "sap_application": "S4H",
            "connection": "UI_SAP_CONNECTION",
            "tenant": "thales-preprod"
        }
    ]
}

The output shows the SAP applications linked with the SAP groups added to the CipherTrust Manager.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.